package com.example.takeawaysystemserver.mapper;

import com.example.takeawaysystemserver.entity.Dish;
import com.example.takeawaysystemserver.entity.DishFlavor;
import com.example.takeawaysystemserver.entity.Shop;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author qiushengyu
* @description 针对表【shop】的数据库操作Mapper
* @createDate 2024-07-11 17:13:56
* @Entity com.example.takeawaysystemserver.entity.Shop
*/
@Mapper
public interface ShopMapper extends BaseMapper<Shop> {


    /**
     * 获取某个店铺的所有菜品
     * @param id 店铺ID
     * @return 菜品列表
     */
    List<Dish> getShopDishes(@Param("id") Integer id);

    /**
     * 获取菜品的口味
     * @param id 菜品ID
     * @return 菜品口味
     */
    List<DishFlavor> flavors(@Param("id") Integer id);

    /**
     * 根据关键字搜索
     * @param keyword 关键字
     * @return 列表
     */
    List<Shop> searchBykKeyword(@Param("keyword")String keyword);
}




