package com.example.takeawaysystemserver.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.example.takeawaysystemserver.entity.OrderList;
import com.example.takeawaysystemserver.model.vo.OrderVO;
import com.example.takeawaysystemserver.util.R;

import java.util.List;

/**
* @author qiushengyu
* @description 针对表【order】的数据库操作Service
* @createDate 2024-07-11 17:13:46
*/
public interface OrderService extends IService<OrderList> {
    /**
     * 添加订单
     * @param order 订单类
     * @param token 用户token
     * @return 添加信息
     */
    R<String> addOrders(String token, OrderList order);

    /**
     * 获取订单
     * @param token 用户token
     * @return 订单信息
     */
    R<List<OrderVO>> getOrders(String token);
}
