package com.example.takeawaysystemserver.service;

import com.example.takeawaysystemserver.entity.ShoppingCart;
import com.baomidou.mybatisplus.extension.service.IService;
import com.example.takeawaysystemserver.util.R;

import java.util.List;

/**
* @author qiushengyu
* @description 针对表【shopping_cart】的数据库操作Service
* @createDate 2024-07-12 16:13:47
*/
public interface ShoppingCartService extends IService<ShoppingCart> {

    /**
     * 添加购物车
     * @param shoppingCart 购物车类
     * @param token 用户token
     * @return 添加信息
     */
    R<String> addShoppingCart(String token, ShoppingCart shoppingCart);

    /**
     * 获取购物车信息
     * @param token 用户token
     * @return 购物车信息
     */
    R<List<ShoppingCart>> getShoppingCarts(String token);

    /**
     * 删除购物车信息
     * @param shoppingCart 购物车类
     * @param token 用户token
     * @return 删除信息
     */
    R<String> deleteShoppingCart(String token, ShoppingCart shoppingCart);
}
